package com.yidianling.ydlcommon.custom.data

import com.yidianling.ydlcommon.custom.base.BaseDataManager
import com.yidianling.ydlcommon.custom.http.YdlCommonHttp
import com.yidianling.ydlcommon.custom.http.YdlCommonHttpImpl

object YdlDataManager:
    BaseDataManager<YdlRam, YdlLocal, YdlCommonHttp> {

    override fun getRam(): YdlRam {
        return YdlRamImpl.getInstance()
    }

    override fun getLocal(): YdlLocal {
        return YdlLocalImpl.getInstance()
    }

    override fun getHttp(): YdlCommonHttp {
        return YdlCommonHttpImpl.getInstance()
    }

}